This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 814710 - Only one manifest/product can be imported per system
Only one manifest/product can be imported per system
Status: CLOSED CURRENTRELEASE
Product: Subscription Asset Manager
Classification: Red Hat
Component: candlepin (Show other bugs)
1.0.0
Unspecified Unspecified
unspecified Severity urgent
: ---
: ---
Assigned To: Bryan Kearney
Tazim Kolhar
: Reopened
Depends On: 807468
Blocks: sam12-tracker
  Show dependency treegraph
 
Reported: 2012-04-20 09:43 EDT by Bryan Kearney
Modified: 2016-04-25 20:54 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 807468
Environment:
Last Closed: 2013-06-07 13:23:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Comment 1 Tom McKay 2012-04-30 14:25:33 EDT
Parent BZ marked MODIFIED
Comment 2 Og Maciel 2012-11-03 11:48:26 EDT
Ok, this has been going around for a while and I still cannot verify it. Here's what I hope to be a simple and clear set of instructions I followed:

* Create User1 with admin privileges
* Obtain a valid manifest file
* As the admin user create Org1 and import manifest file
* As the admin user create Org2
* As User1 import the same manifest file into Org2

I immediately get an error message stating: "This distributor has already been imported by another owner"

Environment:

* candlepin-0.7.18-1.el6_3.noarch
* candlepin-tomcat6-0.7.18-1.el6_3.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.2.1-1h.el6_3.noarch
* katello-cli-1.2.2-1h.el6_3.noarch
* katello-cli-common-1.2.2-1h.el6_3.noarch
* katello-common-1.2.2-1h.el6_3.noarch
* katello-configure-1.2.1-1h.el6_3.noarch
* katello-glue-candlepin-1.2.2-1h.el6_3.noarch
* katello-headpin-1.2.2-1h.el6_3.noarch
* katello-headpin-all-1.2.2-1h.el6_3.noarch
* katello-selinux-1.2.1-1h.el6_3.noarch
* thumbslug-0.0.24-1.el6_2.noarch
* thumbslug-selinux-0.0.24-1.el6_2.noarch
Comment 3 Tom McKay 2012-11-03 12:22:07 EDT
What you describe is the correct behavior: You cannot import the same manifest, or even different manifests, from the same distributor into different orgs. For Org2 you would need to make a new distributor in the customer portal and download a manifest from there to import.

You'll note that in the original BZ description the problem indicated the issue was with what I describe above, in that they tried to import a manifest from a different distributor into another org and that was failing. This scenario is now working.
Comment 4 Tazim Kolhar 2012-11-07 23:34:05 EST
VERIFIED :

# rpm -qa | grep katello
katello-certs-tools-1.2.1-1h.el6_3.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-cli-common-1.2.2-1h.el6_3.noarch
katello-glue-candlepin-1.2.2-1h.el6_3.noarch
katello-cli-1.2.2-1h.el6_3.noarch
katello-selinux-1.2.1-1h.el6_3.noarch
katello-headpin-all-1.2.2-1h.el6_3.noarch
katello-headpin-1.2.2-1h.el6_3.noarch
katello-configure-1.2.1-1h.el6_3.noarch
katello-common-1.2.2-1h.el6_3.noarch


Steps Used :

1.) Downloaded a manifest from a distributor1 from:
    https://access.stage.redhat.com
2.) Login to UI for Org1
3.) Upload the manifest
4.) Create a new Org2.
5.) Download a manifest from a distributor2 from:
    https://access.stage.redhat.com
6.) Upload manifest for Org2
7.) Upload successful
Comment 5 Bryan Kearney 2013-06-07 13:23:40 EDT
Closing out verified bugs from 1.2. Somehow the errata tool missed them.
Comment 6 Bryan Kearney 2013-06-07 13:25:24 EDT
Closing out verified bugs from 1.2. Somehow the errata tool missed them.

Note You need to log in before you can comment on or make changes to this bug.